Bug 859438 - unable to see suggestions in candidate window
Summary: unable to see suggestions in candidate window
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: anish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-21 14:39 UTC by Parag Nemade
Modified: 2015-04-12 23:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-28 11:23:31 UTC


Attachments (Terms of Use)

Description Parag Nemade 2012-09-21 14:39:24 UTC
Description of problem:
First I tried to input on gnome-terminal, I saw some problem in viewing suggestions so started gedit and tried to use marathi itrans hunspell keymap. Here is what messages thrown on terminal by gedit
(gedit:3003): IBUS-WARNING **: Process Key Event failed: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code36: GDBus.Error:org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python2.7/site-packages/ibus/engine.py", line 188, in ProcessKeyEvent
    return self.__engine.process_key_event(keyval, keycode, state)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1077, in process_key_event
    result = self._process_key_event (key)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1083, in _process_key_event
    return self._table_mode_process_key_event (key)
  File "/usr/share/ibus-typing-booster/engine/hunspell_table.py", line 1210, in _table_mode_process_key_event
    self.db.check_phrase (in_str, in_str)
  File "/usr/share/ibus-typing-booster/engine/tabsqlitedb.py", line 679, in check_phrase
    self.check_phrase_internal (phrase, tabkey, database)
  File "/usr/share/ibus-typing-booster/engine/tabsqlitedb.py", line 712, in check_phrase_internal
    hunspell_list = self.hunspell_obj.suggest(phrase[:-1])
  File "/usr/share/ibus-typing-booster/engine/hunspell.py", line 134, in suggest
    words,num_words = self.words_start(word)
  File "/usr/share/ibus-typing-booster/engine/hunspell.py", line 108, in words_start
    start_words = patt_start.findall(self.dict_buffer)
AttributeError: Hunspell instance has no attribute 'dict_buffer'
.


Version-Release number of selected component (if applicable):
ibus-typing-booster-0.0.9-1.fc18.noarch

How reproducible:
always

Steps to Reproduce:
1. select marathi-itrans hunspell keymap
2.  start gedit and try to input anything
3.
  
Actual results:
candidate window shows no suggestions

Expected results:
should show suggestions

Additional info:

Comment 1 anish 2012-09-27 05:51:51 UTC
Hi Parag,

You need to install hunspell-mr to see the suggestions.
You can install it by using i-t-b prferences

Comment 2 Fedora Update System 2012-09-28 13:42:20 UTC
ibus-typing-booster-0.0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.10-1.fc18

Comment 3 Fedora Update System 2012-09-28 13:50:22 UTC
ibus-typing-booster-0.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.10-1.fc17

Comment 4 Fedora Update System 2012-09-28 13:55:53 UTC
ibus-typing-booster-0.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.10-1.fc16

Comment 5 Fedora Update System 2012-09-28 17:19:54 UTC
Package ibus-typing-booster-0.0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-typing-booster-0.0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14999/ibus-typing-booster-0.0.10-1.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-10-23 06:21:02 UTC
ibus-typing-booster-0.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.15-1.fc17

Comment 7 Fedora Update System 2012-10-23 06:23:51 UTC
ibus-typing-booster-0.0.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.15-1.fc18

Comment 8 Fedora Update System 2012-10-23 06:36:48 UTC
ibus-typing-booster-0.0.15-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.15-1.fc16

Comment 9 Fedora Update System 2012-10-25 06:15:34 UTC
ibus-typing-booster-0.0.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.16-1.fc18

Comment 10 Fedora Update System 2012-10-25 06:31:49 UTC
ibus-typing-booster-0.0.16-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.16-1.fc17

Comment 11 Fedora Update System 2012-10-25 06:47:44 UTC
ibus-typing-booster-0.0.16-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.16-1.fc16

Comment 12 Fedora Update System 2012-10-31 17:28:23 UTC
ibus-typing-booster-0.0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.18-1.fc18

Comment 13 Fedora Update System 2012-10-31 17:41:09 UTC
ibus-typing-booster-0.0.18-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.18-1.fc16

Comment 14 Fedora Update System 2012-10-31 18:33:38 UTC
ibus-typing-booster-0.0.18-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.18-1.fc17

Comment 15 Fedora Update System 2012-11-08 16:05:02 UTC
ibus-typing-booster-0.0.20-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.20-1.fc16

Comment 16 Fedora Update System 2012-11-08 16:24:02 UTC
ibus-typing-booster-0.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.20-1.fc17

Comment 17 Fedora Update System 2012-11-08 16:41:59 UTC
ibus-typing-booster-0.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.20-1.fc18

Comment 18 Parag Nemade 2012-11-09 05:12:04 UTC
So when are we get a REAL stable release for this bug?

Comment 19 Fedora Update System 2012-11-12 13:48:01 UTC
ibus-typing-booster-0.0.21-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.21-1.fc18

Comment 20 Fedora Update System 2012-11-12 14:09:04 UTC
ibus-typing-booster-0.0.21-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.21-1.fc17

Comment 21 Fedora Update System 2012-11-12 14:23:57 UTC
ibus-typing-booster-0.0.21-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.21-1.fc16

Comment 22 Fedora Update System 2012-11-15 07:12:18 UTC
ibus-typing-booster-0.0.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.22-1.fc18

Comment 23 Fedora Update System 2012-11-15 07:40:54 UTC
ibus-typing-booster-0.0.22-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.22-1.fc16

Comment 24 Fedora Update System 2012-11-15 07:59:04 UTC
ibus-typing-booster-0.0.22-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.22-1.fc17

Comment 25 Fedora Update System 2012-11-23 14:00:14 UTC
ibus-typing-booster-0.0.23-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.23-1.fc18

Comment 26 Fedora Update System 2012-11-23 15:33:00 UTC
ibus-typing-booster-0.0.23-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.23-1.fc16

Comment 27 Fedora Update System 2012-11-23 16:16:57 UTC
ibus-typing-booster-0.0.23-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-typing-booster-0.0.23-1.fc17

Comment 28 Fedora Update System 2012-11-28 11:23:33 UTC
ibus-typing-booster-0.0.22-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2012-11-28 11:34:52 UTC
ibus-typing-booster-0.0.22-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2012-11-29 06:46:12 UTC
ibus-typing-booster-0.0.22-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2012-12-05 06:55:38 UTC
ibus-typing-booster-0.0.23-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2012-12-05 06:59:44 UTC
ibus-typing-booster-0.0.23-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2012-12-05 07:14:34 UTC
ibus-typing-booster-0.0.23-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.